#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
#include <curl/curl.h>
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& _cin){
    bool prompt = true;
    size_t number_count;
    if (prompt){
        cerr << "Enter number count:" << endl;
    }
    _cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    vector<double> numbers(number_count);
    if (prompt){
        cerr << "Enter numbers:" << endl;
    }
    for (size_t i = 0; i < number_count; i++) {
        _cin >> in.numbers[i];
    }
    if (prompt){
        cerr << "Enter bin count:" << endl;
    }
    _cin >> in.bin_count;
    return in;
}


int
main(int argc, char* argv[]) {
     if (argc > 1) {
        cerr << "argc = " << argc << endl;
        for (int i = 0; i < argc; i++){
            cerr << "argv[" << i << "] = " << argv[i] << endl;
        }
        return 0;
    }

    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}


